/*
//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// March 30, 1999
//
// C bindings  for the param library.
//
*/

#ifndef _paramc_h
#define _paramc_h

#ifdef __cplusplus
extern "C" {
#endif

  int get_number_of_param(const char * name);
  const char * get_param_as_string(const char * name);
  int parameter_count(const char * name);
  
  int boolean_parameter(const char * name, int pos);
  void set_boolean_parameter(const char * name, int value);
  
  int int_parameter(const char * name, int pos);
  void set_int_parameter(const char * name, int value);
  
  double real_parameter(const char * name, int pos);
  void set_real_parameter(const char * name, double value);
  
  const char * string_parameter(const char * name, int pos);
  void set_string_parameter(const char * name, const char * value);
  
  void open_parameters(const char * name);
  void close_parameters();

#ifdef __cplusplus
	   }
#endif

#endif
