/*****************************************************************************
 *
 *  AngleListParameter.h                        XMM Science Analysis Subsystem
 *
 *  Angle-list task parameter
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: AngleListParameter.h,v 1.4 1999/12/03 12:43:43 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef ANGLELISTPARAMETER_H
#define ANGLELISTPARAMETER_H

#include "RealListParameter.h"
#include "AngleFormatter.h"


//================================================================
//  Class AngleListParameter
//================================================================

class AngleListParameter : public RealListParameter
{
public:

    // Construction
    AngleListParameter* clone() { return new AngleListParameter(*this); }
    AngleListParameter();

    // Value
    ParamType   getType() const {return Parameter::AngleList;}
    const char* getTypeName() const { return "angle_list"; }

    // Formatting
    AngleFormatter::AngleMode getMode() const { return _mode; }
    void setMode(AngleFormatter::AngleMode mode);

protected:

    // Parsing and formatting
    bool   parseDouble(const string& str, double& value, bool first);
    string doubleAsString(double value) const;

private:

    // Member data
    AngleFormatter::AngleMode _mode;};

#endif
