/*****************************************************************************
 *
 *  StringToken.h                               XMM Science Analysis Subsystem
 *
 *  Token class
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: StringToken.h,v 1.3 2001/03/28 19:20:38 jbakker Exp $
 *
 *****************************************************************************/

#ifndef STRINGTOKEN_H
#define STRINGTOKEN_H

#include <iostream>           // C++ headers
#include <string>


//================================================================
//  Class StringToken
//================================================================

class StringToken
{
public:
    StringToken(const string& s) : _s(s), _valid(true) {}

    int           asInt();
    double        asDouble();
    const string& asString() { return _s; }
    string        asUnquotedString();
    bool          asBool();
    bool          isValid() const { return _valid; }
    bool          isUndef() const;

    friend ostream& operator<<(ostream& os, const StringToken& t);

private:
    string _s;
    bool   _valid;
};

#endif
