/****************************************************************************
 *
 *  testparamfileerror.cc                      XMM Science Analysis Subsystem
 *
 *  Test handling of parameter file errors
 *
 *  Usage: testparmfileerror <parfile>
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: testparamfileerror.cc,v 1.3 2001/03/28 19:20:40 jbakker Exp $
 *
 *****************************************************************************/

#include <Parameter.h>               // Application headers
#include <param.h>

#include <iostream>                // C++ headers
#include <string>

#include <errstr.h>

int main(int argc, char* argv[])
{
    // Get argument specifying name of parameter file
    if(argc != 2)
    {
        cerr << "Testcmdline requires one argument" << endl;
	::exit(1);
    }

    // Strip ".par" extension from file-name, if present
    string parfile = argv[1];
    string::size_type i = parfile.find(".par");
    if(i != string::npos)
        parfile.replace(i,4,"");

    string taskname(argv[0]);
    errHandler.name(taskname);

    // Try reading parameter file
    openParameters(parfile);

    // Print parameter info for debugging
    cout << endl << "Parameter info:" << endl 
	 << *gParameters << endl;

    closeParameters();

    return 0;
}
